Opened 13 years ago

Closed 13 years ago

Last modified 13 years ago

#2275 closed defect (fixed)

programatically created ContentPane bleeds through

Reported by: bill Owned by: bill
Priority: high Milestone: 0.9
Component: Widgets Version: 0.4.1
Keywords: Cc:
Blocked By: Blocking:

Description

For SplitContainer? (or TabContainer?, etc.) the ContentPane? children need to be overflow:hidden or overflow:auto so that the text doesn't go beyond the border. This happens automatically in generally, but for programatically created widgets (which use the <span> tag) it doesn't seem to work right; default seems to be overflow: visible.

Attachments (1)

split.html (1022 bytes) - added by bill 13 years ago.
Joose's test case to display the bug

Download all attachments as: .zip

Change History (3)

Changed 13 years ago by bill

Attachment: split.html added

Joose's test case to display the bug

comment:1 Changed 13 years ago by bill

Resolution: fixed
Status: newclosed

(In [6977]) Fixes #2275: programatically created ContentPane?'s are <span> objects, so they need certain CSS applied or the text is overflow:auto, which doesn't work well when ContentPane? is a child of SplitContainer?, etc.

comment:2 Changed 13 years ago by alex

Resolution: fixed

(In [6979]) Merged revisions 6946-6978 via svnmerge from svn+ssh://alex@svn.dojotoolkit.org/var/src/dojo/trunk

........

r6946 | peller | 2006-12-29 15:17:41 -0800 (Fri, 29 Dec 2006) | 1 line

workaround for saxon on alternate JVMs

........

r6949 | bill | 2006-12-30 00:26:34 -0800 (Sat, 30 Dec 2006) | 7 lines

Improve page load time be defering rendering of hidden sections (currently affects and tooltips and dialogs, but will next do hidden tab panes / accordion panels)

ContentPane?: main changes are here; I set isContainer:false, and then manually parse for subwidgets on first display.

Tooltip: removed template since we can use the original DOM node.

Dialog: defered some code execution until dialog is first shown, including fixing a bug where href was downloaded on page load rather than at Dialog display time.

........

r6950 | bill | 2006-12-30 02:37:41 -0800 (Sat, 30 Dec 2006) | 1 line

defer rendering of deselected tabs until they are selected

........

r6951 | bill | 2006-12-30 04:05:56 -0800 (Sat, 30 Dec 2006) | 1 line

fix memory leak from previous checkin

........

r6952 | jburke | 2006-12-30 07:49:04 -0800 (Sat, 30 Dec 2006) | 1 line

Fixes #2247. RichText? can now work in xdomain loading

........

r6956 | alex | 2006-12-30 13:43:33 -0800 (Sat, 30 Dec 2006) | 2 lines

bloat

........

r6959 | alex | 2006-12-30 15:01:34 -0800 (Sat, 30 Dec 2006) | 4 lines

the style guide is NOT a fucking "suggestion"

NO CONDITIONALS WITHOUT CURLY BRACES.

........

r6963 | alex | 2006-12-30 22:10:51 -0800 (Sat, 30 Dec 2006) | 2 lines

let the profile specify the loader to use

........

r6967 | jburke | 2007-01-02 16:41:06 -0800 (Tue, 02 Jan 2007) | 1 line

Build will fail if the build path before dojo contains a module prefix dir (like if it has src in it)

........

r6968 | bill | 2007-01-02 16:58:20 -0800 (Tue, 02 Jan 2007) | 1 line

fix display of drop down items

........

r6969 | bill | 2007-01-02 17:34:04 -0800 (Tue, 02 Jan 2007) | 1 line

fix check for undefined

........

r6970 | bill | 2007-01-02 17:57:10 -0800 (Tue, 02 Jan 2007) | 3 lines

Rework hiearchy so Menu2Bar isn't a PopupContainer? (since it doesn't popup). Fixes problem that after previous changes, Menu2Bar was being initialized as display:none.

........

r6971 | skinner | 2007-01-02 19:54:58 -0800 (Tue, 02 Jan 2007) | 1 line

more dojo.data work -- a new dojo.data.DeliciousStore? that Mignon ported from dojo.data.old, and several new unit tests

........

r6972 | skinner | 2007-01-02 20:01:59 -0800 (Tue, 02 Jan 2007) | 1 line

deleted the entire src/data/old and tests/data/old directories -- old experimental dojo.data code from early 2006, now obsolete

........

r6973 | jburke | 2007-01-02 21:44:06 -0800 (Tue, 02 Jan 2007) | 1 line

Fixes #2197: using dojo.uri.moduleUri instead of dojo.uri.dojoUri to enable xdomain image loading, and to fit better with the module URI concept.

........

r6974 | jburke | 2007-01-02 22:18:37 -0800 (Tue, 02 Jan 2007) | 1 line

Removing docs and website tasks since they are no longer useful. No more -Ddocless=true now for builds.

........

r6975 | jburke | 2007-01-02 22:20:30 -0800 (Tue, 02 Jan 2007) | 1 line

Missed a comment update

........

r6976 | bill | 2007-01-03 18:27:51 -0800 (Wed, 03 Jan 2007) | 2 lines

Fixes #2268 (dojo.provide and dojo.require calls were messed, confusing package name with widget name)

........

r6977 | bill | 2007-01-03 19:39:25 -0800 (Wed, 03 Jan 2007) | 3 lines

Fixes #2275: programatically created ContentPane?'s are <span> objects, so they need certain CSS applied or the text is overflow:auto, which doesn't work well when ContentPane? is a child of SplitContainer?, etc.

........

Note: See TracTickets for help on using tickets.